---
title: CSS Color
slug: Web/CSS/CSS_Color
tags:
  - CSS
  - CSS Colors
  - Guide
  - HTML Colors
  - Overview
  - Reference
  - Styles
  - Styling HTML
  - colors
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary"><strong>CSS Color</strong> is a CSS module that deals with colors, color types, color blending, opacity, and how you can apply these colors and effects to HTML content.</span> Not all CSS properties that take a {{cssxref("&lt;color&gt;")}} as a value are part of this module, but they do depend upon it.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("color")}}</li>
 <li>{{cssxref("color-adjust")}}</li>
 <li>{{cssxref("opacity")}}</li>
</ul>
</div>

<h3 id="Data_types">Data types</h3>

<div class="index">
<ul>
 <li>{{cssxref("&lt;color&gt;")}}</li>
</ul>
</div>

<h2 id="Guides">Guides</h2>

<dl>
 <dt><a href="/en-US/docs/Web/HTML/Applying_color">Applying color to HTML elements using CSS</a></dt>
 <dd>A guide to using CSS to apply color to a variety of types of content. All color-related CSS properties are touched upon.</dd>
</dl>

<h2 id="Tools">Tools</h2>

<dl>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Colors/Color_picker_tool">Color picker tool</a></dt>
 <dd>This tool makes it easy to create, adjust, and experiment with custom colors.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Colors')}}</td>
   <td>{{Spec2('CSS4 Colors')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Colors')}}</td>
   <td>{{Spec2('CSS3 Colors')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'colors.html')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="color_property"><code>color</code> property</h3>

<p>{{Compat("css.properties.color")}}</p>

<h3 id="color-adjust_property"><code>color-adjust</code> property</h3>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.color-adjust")}}</p>

<h3 id="opacity_property"><code>opacity</code> property</h3>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.opacity")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Color-related properties that are part of other specifications: {{cssxref("background-color")}}, {{cssxref("border-color")}}, {{cssxref("outline-color")}}, {{cssxref("text-decoration-color")}}, {{cssxref("text-emphasis-color")}}, {{cssxref("text-shadow")}}, {{cssxref("caret-color")}}, and {{cssxref("column-rule-color")}}</li>
 <li>In CSS, gradients aren't colors but <a href="/en-US/docs/Web/CSS/CSS_Images">images</a>.</li>
</ul>
